
From: Benjamin Herrenschmidt <benh@kernel.crashing.org>

The recent change to ide-cd using sector div is passing the wrong type to
do_div().


---

 drivers/ide/ide-cd.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/ide/ide-cd.c~ide-cd-use-sector_t drivers/ide/ide-cd.c
--- 25/drivers/ide/ide-cd.c~ide-cd-use-sector_t	2004-02-08 21:34:18.000000000 -0800
+++ 25-akpm/drivers/ide/ide-cd.c	2004-02-08 21:34:18.000000000 -0800
@@ -1344,7 +1344,7 @@ static ide_startstop_t cdrom_seek_intr (
 static ide_startstop_t cdrom_start_seek_continuation (ide_drive_t *drive)
 {
 	struct request *rq = HWGROUP(drive)->rq;
-	int frame = rq->sector;
+	sector_t frame = rq->sector;
 
 	sector_div(frame, queue_hardsect_size(drive->queue) >> SECTOR_BITS);
 

_
